#!/bin/bash

#SBATCH -J lidR_example
#SBATCH -o /usr/users/%u/%x-%A-%a.log

#SBATCH -t 0-00:10:00

#SBATCH --mem-per-cpu=4G

echo "SLURM_JOB_NODELIST"=$SLURM_JOB_NODELIST
echo "CPU: $SLURM_CPUS_ON_NODE"
echo "SLURM_NNODES"=$SLURM_NNODES
echo "Array ID" $SLURM_ARRAY_TASK_ID

# Load modules here
geos-config --version
module load spack-user
source $SPACK_USER_ROOT/share/spack/setup-env.sh
#spack install geos@3.9.1
spack load geos@3.9.1

module load r/4.1.1
module load gdal/3.4.1

time Rscript --vanilla ~/projects/itdR/inst/script/gwdg/lidR_example.R

